# SMTP Mail Authentication Webform Handler

This module extends the Webform Email Handler to allow the use of custom SMTP credentials for each webform submission. It integrates with the Key module to securely manage and use different SMTP credentials.

## Features

- Extends the Webform Email Handler.
- Adds a new field to choose the credentials key stored as a file configuration.
- Allows the use of different SMTP credentials for each webform.

## Installation

1. Download and install the SMTP Mail Authentication Webform Handler module as you would any other Drupal module.
2. Ensure that the SMTP module and Key module are also installed and enabled.
3. Configure your SMTP server settings in the SMTP module settings.

## Post-Installation

1. Go to the Webform handlers configuration for your webform.
2. Add the new handler provided by this module named **SMTP Mail Authentication**.
3. Configure the handler settings:
   - Choose the credentials key that you stored as a file configuration.
   - The keys must be added in the Key module configuration settings as a file configuration type.
   - Provide only the location path of that key in JSON format in order to be read by the module.

Example of a key file content:
```json
{
  "username": "your_smtp_username",
  "password": "your_smtp_password"
}
